const express = require('express');
const mongoose = require('mongoose');

const wishesRouter = require('./routes/wishes.route');
const homeRouter = require('./routes/home.route');

const app = express();


app.use(express.json());

app.use('/', homeRouter);
app.use('/', wishesRouter);

app.get('/test', (req, res, next) => {
  res.end('<h2>Hello test d!</h2>')
})

app.get('/wishes')

mongoose.connect(
  'mongodb://mongodb:27017/wisches', // host.docker.internal
  { useNewUrlParser: true },
  (err) => {
    if (err) {
      console.log(err);
    } else {
      app.listen(8888);
    }
  }
)